FROM nginx:alpine

RUN rm -f /etc/nginx/conf.d/default.conf

COPY http-only.conf /etc/nginx/conf.d/default.conf

RUN mkdir -p /var/log/nginx && \
    chown -R nginx:nginx /var/log/nginx && \
    chmod -R 755 /var/log/nginx

EXPOSE 80

CMD ["nginx", "-g", "daemon off;"]
